AdvanceCOMP 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1491345 漏洞类型 缓冲区错误
发布时间 2019-02-16 更新时间 2019-08-07
CVE编号 CVE-2019-8383 CNNVD-ID CNNVD-201902-645
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201902-645
|漏洞详情
AdvanceCOMP是一款跨平台的数据压缩命令行工具。该产品能够优化压缩文件,减小压缩文件大小。 AdvanceCOMP 2.1之前版本中的png.c文件的‘adv_png_unfilter_8’函数存在缓冲区错误漏洞。存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。
|参考资料

来源:sourceforge.net

链接:https://sourceforge.net/p/advancemame/bugs/272/


来源:research.loginsoft.com

链接:https://research.loginsoft.com/bugs/invalid-memory-access-in-adv_png_unfilter_8-advancecomp/


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-8383